package com.gskinner.ane
{
	import flash.events.EventDispatcher;
	import flash.events.IEventDispatcher;
	import flash.external.ExtensionContext;
	
	public class Vibration extends EventDispatcher
	{
		protected static var context:ExtensionContext;
		
		public function Vibration(){
			if(!context){
				context = ExtensionContext.createExtensionContext("com.gskinner.ane.Vibration", "vibrate");
				if(context){
					context.call("init");
				} else {
					trace("[Vibration] Context is null?");
				}
			}
		}
		
		public static function get isSupported():Boolean {
			if(!context){ return null; }
			return context.call("isSupported") as Boolean;
		}
		
		public function vibrate(duration:int):void {
			if(context){
				context.call("vibrate", duration);
			} else {
				trace("Error: Context is null.");
			}
		}
	}
}